﻿@using Jb.Framework.Common.Forms
@model List<RunProgramReportViewModel>

@{
    ViewBag.Title = "Event Roaster Report";
    Layout = null;
}
@foreach (var eventItem in Model)
{ //for each event

    <h2 style="color: #555">@eventItem.EventTitle</h2>
    <table border="3">
        <tbody>
            <tr>
                <td>&nbsp;</td>
            </tr>
        </tbody>
    </table>
    <br />
    for (int i = 0; i < eventItem.DataTable.Count; i++)
    {
        //for each profile
        @*Html.EditorFor(m => eventItem.DataTable[i])*@
        foreach (JbSection section in eventItem.DataTable[i].Elements.Where(e => e is Jb.Framework.Common.Forms.JbSection))
        {
            if (section.Name == SectionsName.ParticipantSection.ToString())
            {
                if (i > 0)
                {
                    <p style="display: none">PageBreak</p>
                }
            }
            <b>@(section.Title) </b>
            <br />
            <table border="0.2">
                <tbody>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                </tbody>
            </table>

            foreach (var element in section.Elements)
            {
                @Html.EditorFor(m => element, "JbElement")
            }

        }
    }

    <br />
    <p style="display: none">PageBreak</p>
}
